FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > ArchLinux > ArchLinux Pacman Development

 
 
LinkBack Thread Tools
 
Old 07-05-2008, 08:52 AM
Nagy Gabor
 
Default Remove requiredby from pactests

>From 2adc17767b1af4e46502f21f5061e19d7a60a4b2 Mon Sep 17 00:00:00 2001
From: Nagy Gabor <ngaba@bibl.u-szeged.hu>
Date: Sat, 5 Jul 2008 10:48:26 +0200
Subject: [PATCH] Remove requiredby from pactests

Also remove some meaningless pactests (broken requiredby, requiredby*.py tests)
requiredby001.py was renamed to upgrade076.py

Signed-off-by: Nagy Gabor <ngaba@bibl.u-szeged.hu>
---
pactest/tests/remove040.py | 3 ---
pactest/tests/remove041.py | 2 --
pactest/tests/remove042.py | 2 --
pactest/tests/remove043.py | 3 ---
pactest/tests/remove045.py | 3 ---
pactest/tests/remove046.py | 10 ----------
pactest/tests/remove047.py | 1 -
pactest/tests/remove048.py | 10 ----------
pactest/tests/remove049.py | 1 -
pactest/tests/requiredby001.py | 20 --------------------
pactest/tests/requiredby002.py | 16 ----------------
pactest/tests/requiredby003.py | 16 ----------------
pactest/tests/requiredby004.py | 20 --------------------
pactest/tests/requiredby005.py | 21 ---------------------
pactest/tests/requiredby006.py | 21 ---------------------
pactest/tests/sync010.py | 2 --
pactest/tests/sync060.py | 15 ---------------
pactest/tests/sync1000.py | 2 --
pactest/tests/sync300.py | 1 -
pactest/tests/sync400.py | 1 -
pactest/tests/sync895.py | 2 --
pactest/tests/sync896.py | 2 --
pactest/tests/sync900.py | 3 ---
pactest/tests/sync901.py | 3 ---
pactest/tests/upgrade052.py | 1 -
pactest/tests/upgrade053.py | 1 -
pactest/tests/upgrade054.py | 1 -
pactest/tests/upgrade055.py | 3 ---
pactest/tests/upgrade056.py | 4 ----
pactest/tests/upgrade057.py | 2 --
pactest/tests/upgrade058.py | 1 -
pactest/tests/upgrade059.py | 2 --
pactest/tests/upgrade060.py | 1 -
pactest/tests/upgrade061.py | 1 -
pactest/tests/upgrade073.py | 2 --
pactest/tests/upgrade076.py | 18 ++++++++++++++++++
36 files changed, 18 insertions(+), 199 deletions(-)
delete mode 100644 pactest/tests/remove046.py
delete mode 100644 pactest/tests/remove048.py
delete mode 100644 pactest/tests/requiredby001.py
delete mode 100644 pactest/tests/requiredby002.py
delete mode 100644 pactest/tests/requiredby003.py
delete mode 100644 pactest/tests/requiredby004.py
delete mode 100644 pactest/tests/requiredby005.py
delete mode 100644 pactest/tests/requiredby006.py
delete mode 100644 pactest/tests/sync060.py
create mode 100644 pactest/tests/upgrade076.py

diff --git a/pactest/tests/remove040.py b/pactest/tests/remove040.py
index 07d3e67..9d95b60 100644
--- a/pactest/tests/remove040.py
+++ b/pactest/tests/remove040.py
@@ -6,13 +6,10 @@ self.addpkg2db("local", lp1)

lp2 = pmpkg("pkg2")
lp2.provides = ["imaginary"]
-lp2.requiredby = [ "pkg1" ]
self.addpkg2db("local", lp2)

-
self.args = "-R %s" % lp1.name

self.addrule("PACMAN_RETCODE=0")
self.addrule("!PKG_EXIST=pkg1")
self.addrule("PKG_EXIST=pkg2")
-self.addrule("!PKG_REQUIREDBY=pkg2|pkg1")
diff --git a/pactest/tests/remove041.py b/pactest/tests/remove041.py
index 9ab7bf7..be27fd4 100644
--- a/pactest/tests/remove041.py
+++ b/pactest/tests/remove041.py
@@ -2,12 +2,10 @@ self.description = "Remove a no longer needed package (multiple provision)"

lp1 = pmpkg("pkg1")
lp1.provides = ["imaginary"]
-lp1.requiredby = ["pkg3"]
self.addpkg2db("local", lp1)

lp2 = pmpkg("pkg2")
lp2.provides = ["imaginary"]
-lp2.requiredby = ["pkg3"]
self.addpkg2db("local", lp2)

lp3 = pmpkg("pkg3")
diff --git a/pactest/tests/remove042.py b/pactest/tests/remove042.py
index 5de1fb4..796d040 100644
--- a/pactest/tests/remove042.py
+++ b/pactest/tests/remove042.py
@@ -6,10 +6,8 @@ self.addpkg2db("local", lp1)

lp2 = pmpkg("pkg2")
lp2.provides = ["imaginary"]
-lp2.requiredby = [ "pkg1" ]
self.addpkg2db("local", lp2)

-
self.args = "-Rc %s" % lp2.name

self.addrule("PACMAN_RETCODE=0")
diff --git a/pactest/tests/remove043.py b/pactest/tests/remove043.py
index a377c58..0d448d0 100644
--- a/pactest/tests/remove043.py
+++ b/pactest/tests/remove043.py
@@ -6,13 +6,10 @@ self.addpkg2db("local", lp1)

lp2 = pmpkg("pkg2")
lp2.provides = ["imaginary"]
-lp2.requiredby = [ "pkg1" ]
self.addpkg2db("local", lp2)

-
self.args = "-R %s" % lp2.name

self.addrule("!PACMAN_RETCODE=0")
self.addrule("PKG_EXIST=pkg1")
self.addrule("PKG_EXIST=pkg2")
-self.addrule("PKG_REQUIREDBY=pkg2|pkg1")
diff --git a/pactest/tests/remove045.py b/pactest/tests/remove045.py
index d8b7845..f42e58f 100644
--- a/pactest/tests/remove045.py
+++ b/pactest/tests/remove045.py
@@ -7,18 +7,15 @@ self.addpkg2db("local", lp1)
lp2 = pmpkg("pkg2")
lp2.reason = 1
lp2.depends = ["pkg4"]
-lp2.requiredby = ["pkg1"]
self.addpkg2db("local", lp2)

lp3 = pmpkg("pkg3")
lp3.reason = 1
-lp3.requiredby = ["pkg1", "pkg4"]
self.addpkg2db("local", lp3)

lp4 = pmpkg("pkg4")
lp4.reason = 1
lp4.depends = ["pkg3"]
-lp4.requiredby = ["pkg2"]
self.addpkg2db("local", lp4)

self.args = "-Rs %s" % lp1.name
diff --git a/pactest/tests/remove046.py b/pactest/tests/remove046.py
deleted file mode 100644
index 1ee8be1..0000000
--- a/pactest/tests/remove046.py
+++ /dev/null
@@ -1,10 +0,0 @@
-self.description = "Cascade remove a package with a broken required by"
-
-lp1 = pmpkg("pkg1")
-lp1.requiredby = [ "fake" ]
-self.addpkg2db("local", lp1)
-
-self.args = "-Rc %s" % lp1.name
-
-self.addrule("PACMAN_RETCODE=0")
-self.addrule("!PKG_EXIST=pkg1")
diff --git a/pactest/tests/remove047.py b/pactest/tests/remove047.py
index 9606c2e..8bb1a63 100644
--- a/pactest/tests/remove047.py
+++ b/pactest/tests/remove047.py
@@ -1,7 +1,6 @@
self.description = "Remove a package required by other packages"

lp1 = pmpkg("pkg1")
-lp1.requiredby = ["pkg2", "pkg3", "pkg4"]
self.addpkg2db("local", lp1)

lp2 = pmpkg("pkg2")
diff --git a/pactest/tests/remove048.py b/pactest/tests/remove048.py
deleted file mode 100644
index 2d9b480..0000000
--- a/pactest/tests/remove048.py
+++ /dev/null
@@ -1,10 +0,0 @@
-self.description = "Remove a package with a broken required by"
-
-lp1 = pmpkg("pkg1")
-lp1.requiredby = [ "dep" ]
-self.addpkg2db("local", lp1)
-
-self.args = "-R %s" % lp1.name
-
-self.addrule("PACMAN_RETCODE=0")
-self.addrule("!PKG_EXIST=pkg1")
diff --git a/pactest/tests/remove049.py b/pactest/tests/remove049.py
index 724f8da..a033629 100644
--- a/pactest/tests/remove049.py
+++ b/pactest/tests/remove049.py
@@ -1,7 +1,6 @@
self.description = "-Ru test"

lp1 = pmpkg("pkg1")
-lp1.requiredby = [ "pkg3" ]
self.addpkg2db("local", lp1)

lp2 = pmpkg("pkg2")
diff --git a/pactest/tests/requiredby001.py b/pactest/tests/requiredby001.py
deleted file mode 100644
index 0f05d82..0000000
--- a/pactest/tests/requiredby001.py
+++ /dev/null
@@ -1,20 +0,0 @@
-self.description = "A package is downgraded no longer satisfying a depend"
-
-lp1 = pmpkg("pkg1")
-lp1.depends = ["pkg2=1.1"]
-self.addpkg2db("local", lp1)
-
-lp2 = pmpkg("pkg2", "1.1-1")
-lp2.requiredby = ["pkg1"]
-self.addpkg2db("local", lp2)
-
-p = pmpkg("pkg2", "1.0-1")
-self.addpkg(p)
-
-self.args = "-U %s" % p.filename()
-
-self.addrule("PACMAN_RETCODE=1")
-self.addrule("PKG_EXIST=pkg1")
-self.addrule("PKG_VERSION=pkg2|1.1-1")
-self.addrule("PKG_EXIST=pkg2")
-self.addrule("PKG_REQUIREDBY=pkg2|pkg1")
diff --git a/pactest/tests/requiredby002.py b/pactest/tests/requiredby002.py
deleted file mode 100644
index 299ec88..0000000
--- a/pactest/tests/requiredby002.py
+++ /dev/null
@@ -1,16 +0,0 @@
-self.description = "A package was removed with -Rd, then downgraded"
-
-lp1 = pmpkg("pkg1")
-lp1.depends = ["pkg2=1.1"]
-self.addpkg2db("local", lp1)
-
-p = pmpkg("pkg2", "1.0-1")
-self.addpkg(p)
-
-self.args = "-U %s" % p.filename()
-
-self.addrule("PACMAN_RETCODE=0")
-self.addrule("PKG_EXIST=pkg1")
-self.addrule("PKG_VERSION=pkg2|1.0-1")
-self.addrule("PKG_EXIST=pkg2")
-self.addrule("!PKG_REQUIREDBY=pkg2|pkg1")
diff --git a/pactest/tests/requiredby003.py b/pactest/tests/requiredby003.py
deleted file mode 100644
index 3279c2a..0000000
--- a/pactest/tests/requiredby003.py
+++ /dev/null
@@ -1,16 +0,0 @@
-self.description = "A package was removed with -Rd, then upgraded"
-
-lp1 = pmpkg("pkg1")
-lp1.depends = ["pkg2>=1.1"]
-self.addpkg2db("local", lp1)
-
-p = pmpkg("pkg2", "1.2-1")
-self.addpkg(p)
-
-self.args = "-U %s" % p.filename()
-
-self.addrule("PACMAN_RETCODE=0")
-self.addrule("PKG_EXIST=pkg1")
-self.addrule("PKG_VERSION=pkg2|1.2-1")
-self.addrule("PKG_EXIST=pkg2")
-self.addrule("PKG_REQUIREDBY=pkg2|pkg1")
diff --git a/pactest/tests/requiredby004.py b/pactest/tests/requiredby004.py
deleted file mode 100644
index c4fe768..0000000
--- a/pactest/tests/requiredby004.py
+++ /dev/null
@@ -1,20 +0,0 @@
-self.description = "Upgrade a package that no longer needs a depend"
-
-lp1 = pmpkg("pkg1")
-lp1.depends = ["pkg2"]
-self.addpkg2db("local", lp1)
-
-lp2 = pmpkg("pkg2")
-lp2.requiredby = ["pkg1"]
-self.addpkg2db("local", lp2)
-
-p = pmpkg("pkg1", "1.1-1")
-self.addpkg(p)
-
-self.args = "-U %s" % p.filename()
-
-self.addrule("PACMAN_RETCODE=0")
-self.addrule("PKG_EXIST=pkg1")
-self.addrule("PKG_VERSION=pkg1|1.1-1")
-self.addrule("PKG_EXIST=pkg2")
-self.addrule("!PKG_REQUIREDBY=pkg2|pkg1")
diff --git a/pactest/tests/requiredby005.py b/pactest/tests/requiredby005.py
deleted file mode 100644
index 5b2ce16..0000000
--- a/pactest/tests/requiredby005.py
+++ /dev/null
@@ -1,21 +0,0 @@
-self.description = "Remove lp1, requiredby should move from lp1 to lp2"
-
-lp1 = pmpkg("foo")
-lp1.requiredby = ["pkg3"]
-self.addpkg2db("local", lp1)
-
-lp2 = pmpkg("pkg2")
-lp2.provides = ["foo"]
-self.addpkg2db("local", lp2)
-
-lp3 = pmpkg("pkg3")
-lp3.depends = ["foo"]
-self.addpkg2db("local", lp3)
-
-
-self.args = "-R %s" % lp1.name
-
-self.addrule("PACMAN_RETCODE=0")
-self.addrule("!PKG_EXIST=foo")
-self.addrule("PKG_EXIST=pkg2")
-self.addrule("PKG_REQUIREDBY=pkg2|pkg3")
diff --git a/pactest/tests/requiredby006.py b/pactest/tests/requiredby006.py
deleted file mode 100644
index ea14cde..0000000
--- a/pactest/tests/requiredby006.py
+++ /dev/null
@@ -1,21 +0,0 @@
-self.description = "Broken requiredby/depends list"
-
-lp1 = pmpkg("pkg1")
-lp1.depends = ["pkg2"]
-self.addpkg2db("local", lp1)
-
-lp2 = pmpkg("pkg2")
-lp2.requiredby = ["foo", "pkg1"]
-self.addpkg2db("local", lp2)
-
-p = pmpkg("pkg1", "1.1-1")
-p.depends = ["pkg2"]
-self.addpkg(p)
-
-self.args = "-U %s" % p.filename()
-
-self.addrule("PACMAN_RETCODE=0")
-self.addrule("PKG_EXIST=pkg1")
-self.addrule("PKG_VERSION=pkg1|1.1-1")
-self.addrule("PKG_EXIST=pkg2")
-self.addrule("PKG_REQUIREDBY=pkg2|pkg1")
diff --git a/pactest/tests/sync010.py b/pactest/tests/sync010.py
index 7ddc149..df407a3 100644
--- a/pactest/tests/sync010.py
+++ b/pactest/tests/sync010.py
@@ -25,5 +25,3 @@ for p in sp1, sp2, sp3:
for f in p.files:
self.addrule("FILE_EXIST=%s" % f)
self.addrule("PKG_DEPENDS=dep1|dep2")
-self.addrule("PKG_REQUIREDBY=dep1|dummy")
-self.addrule("PKG_REQUIREDBY=dep2|dep1")
diff --git a/pactest/tests/sync060.py b/pactest/tests/sync060.py
deleted file mode 100644
index 45f0c3e..0000000
--- a/pactest/tests/sync060.py
+++ /dev/null
@@ -1,15 +0,0 @@
-self.description = "Replace a package with a broken required by"
-
-lp1 = pmpkg("pkg1")
-lp1.replaces = [ "pkg2" ]
-self.addpkg2db("sync", lp1)
-
-lp2 = pmpkg("pkg2")
-lp2.requiredby = [ "fake" ]
-self.addpkg2db("local", lp2)
-
-self.args = "-Su"
-
-self.addrule("PACMAN_RETCODE=0")
-self.addrule("PKG_EXIST=pkg1")
-self.addrule("!PKG_EXIST=pkg2")
diff --git a/pactest/tests/sync1000.py b/pactest/tests/sync1000.py
index be1254b..e7f4326 100644
--- a/pactest/tests/sync1000.py
+++ b/pactest/tests/sync1000.py
@@ -2,11 +2,9 @@
self.description = "stonecrest's problem"

sp = pmpkg("dummy", "1.1-1")
-sp.requiredby = [ "pkg" ]
self.addpkg2db("sync", sp)

lp1 = pmpkg("dummy", "1.0-1")
-lp1.requiredby = [ "pkg" ]
self.addpkg2db("local", lp1)

lp2 = pmpkg("pkg")
diff --git a/pactest/tests/sync300.py b/pactest/tests/sync300.py
index 85fb850..31b520a 100644
--- a/pactest/tests/sync300.py
+++ b/pactest/tests/sync300.py
@@ -12,4 +12,3 @@ self.args = "-S %s" % sp1.name
self.addrule("PACMAN_RETCODE=1")
self.addrule("!PKG_EXIST=pkg1")
self.addrule("!PKG_EXIST=pkg2")
-self.addrule("!PKG_REQUIREDBY=pkg2|pkg1")
diff --git a/pactest/tests/sync400.py b/pactest/tests/sync400.py
index 2ee1095..dd6aaf4 100644
--- a/pactest/tests/sync400.py
+++ b/pactest/tests/sync400.py
@@ -13,7 +13,6 @@ lp1.depends = ["pkg2=1.0-1"]
self.addpkg2db("local", lp1)

lp2 = pmpkg("pkg2", "1.0-1")
-lp2.requiredby = [ "pkg1" ]
self.addpkg2db("local", lp2)

self.args = "-S pkg1"
diff --git a/pactest/tests/sync895.py b/pactest/tests/sync895.py
index 03ddc74..1b348c1 100644
--- a/pactest/tests/sync895.py
+++ b/pactest/tests/sync895.py
@@ -6,7 +6,6 @@ self.addpkg2db("sync", sp)

lp1 = pmpkg("pkg1")
lp1.provides = ["foo"]
-lp1.requiredby = ["pkg2"]
self.addpkg2db("local", lp1)

lp2 = pmpkg("pkg2")
@@ -19,4 +18,3 @@ self.addrule("PACMAN_RETCODE=1")
self.addrule("PKG_EXIST=pkg1")
self.addrule("PKG_EXIST=pkg2")
self.addrule("!PKG_EXIST=pkg3")
-self.addrule("PKG_REQUIREDBY=pkg1|pkg2")
diff --git a/pactest/tests/sync896.py b/pactest/tests/sync896.py
index 830b719..a89b5c7 100644
--- a/pactest/tests/sync896.py
+++ b/pactest/tests/sync896.py
@@ -7,7 +7,6 @@ self.addpkg2db("sync", sp)

lp1 = pmpkg("pkg1")
lp1.provides = ["foo"]
-lp1.requiredby = ["pkg2"]
self.addpkg2db("local", lp1)

lp2 = pmpkg("pkg2")
@@ -20,4 +19,3 @@ self.addrule("PACMAN_RETCODE=0")
self.addrule("!PKG_EXIST=pkg1")
self.addrule("PKG_EXIST=pkg2")
self.addrule("PKG_EXIST=pkg3")
-self.addrule("PKG_REQUIREDBY=pkg3|pkg2")
diff --git a/pactest/tests/sync900.py b/pactest/tests/sync900.py
index f21af06..16dfee1 100644
--- a/pactest/tests/sync900.py
+++ b/pactest/tests/sync900.py
@@ -6,7 +6,6 @@ sp.conflicts = ["foo"]
self.addpkg2db("sync", sp)

lp = pmpkg("foo")
-lp.requiredby = ["lp1", "lp2"]
self.addpkg2db("local", lp)

lp1 = pmpkg("pkg1")
@@ -23,6 +22,4 @@ self.addrule("PACMAN_RETCODE=0")
self.addrule("!PKG_EXIST=foo")
self.addrule("PKG_EXIST=bar")
self.addrule("PKG_EXIST=pkg1")
-self.addrule("PKG_REQUIREDBY=bar|pkg1")
self.addrule("PKG_EXIST=pkg2")
-self.addrule("PKG_REQUIREDBY=bar|pkg2")
diff --git a/pactest/tests/sync901.py b/pactest/tests/sync901.py
index 423fe42..bb420b7 100644
--- a/pactest/tests/sync901.py
+++ b/pactest/tests/sync901.py
@@ -6,7 +6,6 @@ self.addpkg2db("sync", sp)
lp = pmpkg("bar")
lp.provides = ["foo"]
lp.conflicts = ["foo"]
-lp.requiredby = ["lp1", "lp2"]
self.addpkg2db("local", lp)

lp1 = pmpkg("pkg1")
@@ -23,6 +22,4 @@ self.addrule("PACMAN_RETCODE=0")
self.addrule("PKG_EXIST=foo")
self.addrule("!PKG_EXIST=bar")
self.addrule("PKG_EXIST=pkg1")
-self.addrule("PKG_REQUIREDBY=foo|pkg1")
self.addrule("PKG_EXIST=pkg2")
-self.addrule("PKG_REQUIREDBY=foo|pkg2")
diff --git a/pactest/tests/upgrade052.py b/pactest/tests/upgrade052.py
index 7db85df..7000a12 100644
--- a/pactest/tests/upgrade052.py
+++ b/pactest/tests/upgrade052.py
@@ -6,7 +6,6 @@ self.addpkg2db("local", lp1)

lp2 = pmpkg("pkg2")
lp2.provides = ["imaginary", "real"]
-lp2.requiredby = [ "pkg1" ]
self.addpkg2db("local", lp2)

p = pmpkg("pkg2", "1.0-2")
diff --git a/pactest/tests/upgrade053.py b/pactest/tests/upgrade053.py
index 4cbaa1f..78de0b5 100644
--- a/pactest/tests/upgrade053.py
+++ b/pactest/tests/upgrade053.py
@@ -17,4 +17,3 @@ self.args = "-U %s" % p.filename()
self.addrule("PACMAN_RETCODE=0")
self.addrule("PKG_VERSION=pkg1|1.0-2")
self.addrule("PKG_EXIST=pkg2")
-self.addrule("PKG_REQUIREDBY=pkg2|pkg1")
diff --git a/pactest/tests/upgrade054.py b/pactest/tests/upgrade054.py
index b60f15f..817d1b3 100644
--- a/pactest/tests/upgrade054.py
+++ b/pactest/tests/upgrade054.py
@@ -17,4 +17,3 @@ self.args = "-U %s" % p.filename()
self.addrule("PACMAN_RETCODE=0")
self.addrule("PKG_VERSION=pkg1|1.0-2")
self.addrule("PKG_EXIST=pkg2")
-self.addrule("PKG_REQUIREDBY=pkg2|pkg1")
diff --git a/pactest/tests/upgrade055.py b/pactest/tests/upgrade055.py
index 7cdf6b5..2508396 100644
--- a/pactest/tests/upgrade055.py
+++ b/pactest/tests/upgrade055.py
@@ -6,12 +6,10 @@ self.addpkg2db("local", lp1)

lp2 = pmpkg("pkg2")
lp2.provides = ["imaginary"]
-lp2.requiredby = [ "pkg1" ]
self.addpkg2db("local", lp2)

lp3 = pmpkg("pkg3")
lp3.provides = ["imaginary2"]
-lp3.requiredby = [ "pkg1" ]
self.addpkg2db("local", lp3)

p = pmpkg("pkg2", "1.0-2")
@@ -24,5 +22,4 @@ self.addrule("PACMAN_RETCODE=0")
self.addrule("PKG_EXIST=pkg1")
self.addrule("PKG_VERSION=pkg2|1.0-2")
self.addrule("PKG_EXIST=pkg3")
-self.addrule("PKG_REQUIREDBY=pkg2|pkg1")
self.addrule("PKG_DEPENDS=pkg1|imaginary")
diff --git a/pactest/tests/upgrade056.py b/pactest/tests/upgrade056.py
index b92c38a..908fa30 100644
--- a/pactest/tests/upgrade056.py
+++ b/pactest/tests/upgrade056.py
@@ -6,12 +6,10 @@ self.addpkg2db("local", lp1)

lp2 = pmpkg("pkg2")
lp2.provides = ["imaginary"]
-lp2.requiredby = [ "pkg1" ]
self.addpkg2db("local", lp2)

lp3 = pmpkg("pkg3")
lp3.provides = ["imaginary"]
-lp3.requiredby = [ "pkg1" ]
self.addpkg2db("local", lp3)

p = pmpkg("pkg2", "1.0-2")
@@ -23,5 +21,3 @@ self.addrule("PACMAN_RETCODE=0")
self.addrule("PKG_EXIST=pkg1")
self.addrule("PKG_VERSION=pkg2|1.0-2")
self.addrule("PKG_EXIST=pkg3")
-self.addrule("!PKG_REQUIREDBY=pkg2|pkg1")
-self.addrule("PKG_REQUIREDBY=pkg3|pkg1")
diff --git a/pactest/tests/upgrade057.py b/pactest/tests/upgrade057.py
index fd3e713..b1eb502 100644
--- a/pactest/tests/upgrade057.py
+++ b/pactest/tests/upgrade057.py
@@ -6,7 +6,6 @@ self.addpkg2db("local", lp1)

lp2 = pmpkg("pkg2")
lp2.provides = ["imag3"]
-lp2.requiredby = ["pkg1"]
self.addpkg2db("local", lp2)

p = pmpkg("pkg2", "1.0-2")
@@ -18,6 +17,5 @@ self.args = "-U %s" % p.filename()
self.addrule("PACMAN_RETCODE=0")
self.addrule("PKG_EXIST=pkg1")
self.addrule("PKG_VERSION=pkg2|1.0-2")
-self.addrule("PKG_REQUIREDBY=pkg2|pkg1")
self.addrule("PKG_DEPENDS=pkg1|pkg2")
self.addrule("PKG_DEPENDS=pkg1|imag3")
diff --git a/pactest/tests/upgrade058.py b/pactest/tests/upgrade058.py
index 109289e..38576ff 100644
--- a/pactest/tests/upgrade058.py
+++ b/pactest/tests/upgrade058.py
@@ -5,7 +5,6 @@ lp1.depends = [ "pkg2=1.0" ]
self.addpkg2db("local", lp1)

lp2 = pmpkg("pkg2", "1.0-1")
-lp2.requiredby = [ "pkg1" ]
self.addpkg2db("local", lp2)

p = pmpkg("pkg2", "1.1-1")
diff --git a/pactest/tests/upgrade059.py b/pactest/tests/upgrade059.py
index 933e4e7..9cd9f1f 100644
--- a/pactest/tests/upgrade059.py
+++ b/pactest/tests/upgrade059.py
@@ -6,12 +6,10 @@ self.addpkg2db("local", lp1)

lp2 = pmpkg("pkg2", "1.0-1")
lp2.provides = ["imaginary"]
-lp2.requiredby = [ "pkg1" ]
self.addpkg2db("local", lp2)

lp3 = pmpkg("pkg3", "1.0-1")
lp3.provides = ["imaginary"]
-lp3.requiredby = [ "pkg1" ]
self.addpkg2db("local", lp3)

p2 = pmpkg("pkg2", "1.0-2")
diff --git a/pactest/tests/upgrade060.py b/pactest/tests/upgrade060.py
index dd78bba..7a28f3e 100644
--- a/pactest/tests/upgrade060.py
+++ b/pactest/tests/upgrade060.py
@@ -5,7 +5,6 @@ lp1.depends = ["pkg2=1.0"]
self.addpkg2db("local", lp1)

lp2 = pmpkg("pkg2", "1.0-1")
-lp2.requiredby = [ "pkg1" ]
self.addpkg2db("local", lp2)

p1 = pmpkg("pkg1", "1.1-1")
diff --git a/pactest/tests/upgrade061.py b/pactest/tests/upgrade061.py
index 0b1ed4e..310e504 100644
--- a/pactest/tests/upgrade061.py
+++ b/pactest/tests/upgrade061.py
@@ -5,7 +5,6 @@ lp1.depends = ["imaginary"]
self.addpkg2db("local", lp1)

lp2 = pmpkg("pkg2", "1.0-1")
-lp2.requiredby = [ "pkg1" ]
lp2.provides = ["imaginary"]
self.addpkg2db("local", lp2)

diff --git a/pactest/tests/upgrade073.py b/pactest/tests/upgrade073.py
index 3486c41..752a233 100644
--- a/pactest/tests/upgrade073.py
+++ b/pactest/tests/upgrade073.py
@@ -21,8 +21,6 @@ self.addrule("PACMAN_RETCODE=0")
self.addrule("PKG_VERSION=dummy|1.0-2")
self.addrule("PKG_DEPENDS=dummy|dep1")
self.addrule("PKG_DEPENDS=dep1|dep2")
-self.addrule("PKG_REQUIREDBY=dep1|dummy")
-self.addrule("PKG_REQUIREDBY=dep2|dep1")
for p in p1, p2, p3:
self.addrule("PKG_EXIST=%s" % p.name)
for f in p.files:
diff --git a/pactest/tests/upgrade076.py b/pactest/tests/upgrade076.py
new file mode 100644
index 0000000..87ccbdd
--- /dev/null
+++ b/pactest/tests/upgrade076.py
@@ -0,0 +1,18 @@
+self.description = "Package downgrade (failure)"
+
+lp1 = pmpkg("pkg1")
+lp1.depends = ["pkg2=1.1"]
+self.addpkg2db("local", lp1)
+
+lp2 = pmpkg("pkg2", "1.1-1")
+self.addpkg2db("local", lp2)
+
+p = pmpkg("pkg2", "1.0-1")
+self.addpkg(p)
+
+self.args = "-U %s" % p.filename()
+
+self.addrule("PACMAN_RETCODE=1")
+self.addrule("PKG_EXIST=pkg1")
+self.addrule("PKG_EXIST=pkg2")
+self.addrule("PKG_VERSION=pkg2|1.1-1")
--
1.5.6.1


_______________________________________________
pacman-dev mailing list
pacman-dev@archlinux.org
http://archlinux.org/mailman/listinfo/pacman-dev
 

Thread Tools




All times are GMT. The time now is 10:28 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org